This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 146317 - gfs assertion warnings "time_before(jiffies, start + 60 * HZ)"
gfs assertion warnings "time_before(jiffies, start + 60 * HZ)"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Ben Marzinski
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 17:02 EST by Corey Marthaler
Modified: 2010-01-11 22:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 18:02:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-01-26 17:02:23 EST
Description of problem:
As discussed in todays meeting, this message doesn't seem to be that
important but I see it quite a bit while running I/O. The customers
will probably not like seeing assertion warnings over and over.


Jan 25 04:10:00 morph-01 kernel: GFS: fsid=morph-cluster:gfs0.0:
warning: assertion "time_before(jiffies, start + 60 * HZ)" failed
Jan 25 04:10:00 morph-01 kernel: GFS: fsid=morph-cluster:gfs0.0:  
function = gfs_log_reserve
Jan 25 04:10:00 morph-01 kernel: GFS: fsid=morph-cluster:gfs0.0:  
file = /usr/src/build/508660-i686/BUILD/smp/src/gfs/log.c, line = 329
Jan 25 04:10:00 morph-01 kernel: GFS: fsid=morph-cluster:gfs0.0:  
time = 1106647800


Version-Release number of selected component (if applicable):
GFS <CVS> (built Jan 25 2005 16:12:45) installed

How reproducible:
Sometimes
Comment 1 Ben Marzinski 2005-01-31 13:09:07 EST
Ken fixed this.  The assert appears to be removed.
Comment 2 Corey Marthaler 2005-02-14 18:02:28 EST
fix verified.

Note You need to log in before you can comment on or make changes to this bug.